### Method

# Eog ThumbView select_single

#### Declaration [src]

    void
    eog_thumb_view_select_single (
      EogThumbView* thumbview,
      EogThumbViewSelectionChange change
    )

#### Description [src]

Changes the current selection according to a single movement described by `EogThumbViewSelectionChange`. If there are no thumbnails currently selected, one is selected according to the natural selection according to the `EogThumbViewSelectionChange` used, p.g., when `EOG_THUMB_VIEW_SELECT_RIGHT` is the selected change, the first thumbnail will be selected.

#### Parameters

`change`

  Type: `EogThumbViewSelectionChange`

  A `EogThumbViewSelectionChange`, describing the desired selection change.